<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:21 CEST 2019 -->
<title>EventManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EventManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/event/FBEventManager.html" title="class in org.firebirdsql.event"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/event/EventManager.html" target="_top">Frames</a></li>
<li><a href="EventManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.event</div>
<h2 title="Interface EventManager" class="title">Interface EventManager</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/event/FBEventManager.html" title="class in org.firebirdsql.event">FBEventManager</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">EventManager</span></pre>
<div class="block">An interface for registering <a href="../../../org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event"><code>EventListener</code></a> instances to listen for database events.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:gab_reid@users.sourceforge.net">Gabriel Reid</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#addEventListener-java.lang.String-org.firebirdsql.event.EventListener-">addEventListener</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                <a href="../../../org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event">EventListener</a>&nbsp;listener)</code>
<div class="block">Register an EventListener that will be called when an event occurs.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#connect--">connect</a></span>()</code>
<div class="block">Make a connection with a database to listen for events.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#disconnect--">disconnect</a></span>()</code>
<div class="block">Close the connection to the database.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getAuthPlugins--">getAuthPlugins</a></span>()</code>
<div class="block">Get the list of authentication plugins to try.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getDatabase--">getDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getDbCryptConfig--">getDbCryptConfig</a></span>()</code>
<div class="block">Get the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getHost--">getHost</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getPassword--">getPassword</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getPort--">getPort</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getUser--">getUser</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#getWireCrypt--">getWireCrypt</a></span>()</code>
<div class="block">Get the wire encryption level.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#removeEventListener-java.lang.String-org.firebirdsql.event.EventListener-">removeEventListener</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                   <a href="../../../org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event">EventListener</a>&nbsp;listener)</code>
<div class="block">Remove an EventListener for a given event.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</code>
<div class="block">Sets the authentication plugins to try.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setDatabase-java.lang.String-">setDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</code>
<div class="block">Sets the database path for the connection to the database.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</code>
<div class="block">Sets the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setHost-java.lang.String-">setHost</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</code>
<div class="block">Sets the host for the connection to the database.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>
<div class="block">Sets the password for the connection to the database.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setPort-int-">setPort</a></span>(int&nbsp;port)</code>
<div class="block">Sets the port for the connection to the database.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setUser-java.lang.String-">setUser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</code>
<div class="block">Sets the username for the connection to the database .</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></span>(<a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</code>
<div class="block">Set the wire encryption level.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#waitForEvent-java.lang.String-">waitForEvent</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName)</code>
<div class="block">Wait for the one-time occurrence of an event.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/event/EventManager.html#waitForEvent-java.lang.String-int-">waitForEvent</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
            int&nbsp;timeout)</code>
<div class="block">Wait for the one-time occurrence of an event.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="connect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connect</h4>
<pre>void&nbsp;connect()
      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Make a connection with a database to listen for events.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database communication error occurs</dd>
</dl>
</li>
</ul>
<a name="disconnect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disconnect</h4>
<pre>void&nbsp;disconnect()
         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Close the connection to the database.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database communication error occurs</dd>
</dl>
</li>
</ul>
<a name="setUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUser</h4>
<pre>void&nbsp;setUser(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</pre>
<div class="block">Sets the username for the connection to the database .</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="getUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUser</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the username for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
<div class="block">Sets the password for the connection to the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="setDatabase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatabase</h4>
<pre>void&nbsp;setDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;database)</pre>
<div class="block">Sets the database path for the connection to the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - path for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="getDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDatabase()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the database path for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="getHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHost</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getHost()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the host for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="setHost-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHost</h4>
<pre>void&nbsp;setHost(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</pre>
<div class="block">Sets the host for the connection to the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>host</code> - for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="getPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPort</h4>
<pre>int&nbsp;getPort()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the port for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="setPort-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPort</h4>
<pre>void&nbsp;setPort(int&nbsp;port)</pre>
<div class="block">Sets the port for the connection to the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - for the connection to the database.</dd>
</dl>
</li>
</ul>
<a name="getWireCrypt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWireCrypt</h4>
<pre><a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;getWireCrypt()</pre>
<div class="block">Get the wire encryption level.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wire encryption level</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWireCrypt</h4>
<pre>void&nbsp;setWireCrypt(<a href="../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</pre>
<div class="block">Set the wire encryption level.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>wireCrypt</code> - Wire encryption level (<code>null</code> not allowed)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="getDbCryptConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDbCryptConfig</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDbCryptConfig()</pre>
<div class="block">Get the database encryption plugin configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database encryption plugin configuration, meaning plugin specific</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="setDbCryptConfig-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDbCryptConfig</h4>
<pre>void&nbsp;setDbCryptConfig(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</pre>
<div class="block">Sets the database encryption plugin configuration.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dbCryptConfig</code> - Database encryption plugin configuration, meaning plugin specific</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0.4</dd>
</dl>
</li>
</ul>
<a name="getAuthPlugins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuthPlugins</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAuthPlugins()</pre>
<div class="block">Get the list of authentication plugins to try.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="setAuthPlugins-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuthPlugins</h4>
<pre>void&nbsp;setAuthPlugins(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</pre>
<div class="block">Sets the authentication plugins to try.
 <p>
 Invalid names are skipped during authentication.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authPlugins</code> - comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>4.0</dd>
</dl>
</li>
</ul>
<a name="addEventListener-java.lang.String-org.firebirdsql.event.EventListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEventListener</h4>
<pre>void&nbsp;addEventListener(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                      <a href="../../../org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event">EventListener</a>&nbsp;listener)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Register an EventListener that will be called when an event occurs.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventName</code> - The name of the event for which the listener will be notified</dd>
<dd><code>listener</code> - The EventListener that will be called when the given event occurs</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="removeEventListener-java.lang.String-org.firebirdsql.event.EventListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeEventListener</h4>
<pre>void&nbsp;removeEventListener(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                         <a href="../../../org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event">EventListener</a>&nbsp;listener)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Remove an EventListener for a given event.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventName</code> - The name of the event for which the listener will be unregistered.</dd>
<dd><code>listener</code> - The EventListener that is to be unregistered</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="waitForEvent-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitForEvent</h4>
<pre>int&nbsp;waitForEvent(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName)
          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</a>,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Wait for the one-time occurrence of an event.
 <p>
 This method blocks indefinitely until the event identified by the value of <code>eventName</code> occurs. The return
 value is the number of occurrences of the requested event.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventName</code> - The name of the event to wait for</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of occurences of the requested event</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</a></code> - If interrupted while waiting</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="waitForEvent-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>waitForEvent</h4>
<pre>int&nbsp;waitForEvent(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;eventName,
                 int&nbsp;timeout)
          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</a>,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Wait for the one-time occurrence of an event.
 <p>
 This method blocks for a maximum of <code>timeout</code> milliseconds, waiting for the event identified by
 <code>eventName</code> to occur. A timeout value of <code>0</code> means wait indefinitely.
 </p>
 <p>
 The return value is the number of occurences of the event in question, or <code>-1</code> if the call timed out.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>eventName</code> - The name of the event to wait for</dd>
<dd><code>timeout</code> - The maximum number of milliseconds to wait</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of occurrences of the requested event, or <code>1</code> if the call timed out</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</a></code> - If interrupted while waiting</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database access error occurs</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/event/EventListener.html" title="interface in org.firebirdsql.event"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/event/FBEventManager.html" title="class in org.firebirdsql.event"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/event/EventManager.html" target="_top">Frames</a></li>
<li><a href="EventManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
